include:
  - project: 'sre/ci-building-blocks'
    file: '/nodejs.yml'

variables:
  OX_COMPONENT: "nextcloud-integration-ui"

build image:
  variables:
    KUBERNETES_MEMORY_REQUEST: 2Gi
    KUBERNETES_MEMORY_LIMIT: 2Gi

build e2e image:
  variables:
    KUBERNETES_MEMORY_REQUEST: 2Gi
    KUBERNETES_MEMORY_LIMIT: 2Gi

.rules-run-e2e-job:
  rules:
    - when: never

.rules-deploy-preview-chart:
  rules:
    - when: never
